%if 0%{?rhel}
%global with_python3 0
%else
%global with_python3 1
%endif


%if 0%{?rhel} < 6
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

%global srcname sprox

Name:           python-%{srcname}
Version:        0.10.2
Release:        5%{?dist}
Summary:        A package for creation of web widgets directly from database schema

Group:          Development/Languages
License:        MIT
URL:            http://sprox.org

#Source0:        http://pypi.python.org/packages/source/s/%{srcname}/%{srcname}-%{version}.tar.gz
# using github tarball instead, because it contains tests
Source0:        https://github.com/TurboGears/%{srcname}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-sqlalchemy
BuildRequires:  python2-formencode >= 1.2.2
BuildRequires:  python2-strainer
BuildRequires:  python2-tw-forms
BuildRequires:  python2-sieve
BuildRequires:  python2-mako
BuildRequires:  python2-genshi
BuildRequires:  python2-nose

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sqlalchemy
BuildRequires:  python3-formencode >= 1.2.2
BuildRequires:  python3-tw2-forms
BuildRequires:  python3-sieve
BuildRequires:  python3-mako
BuildRequires:  python3-genshi
BuildRequires:  python3-nose
%endif


%description
Sprox is a widget generation library that has a slightly different take on the
problem of creating custom web content directly from database schemas. Sprox
provides an easy way to create forms for web content which are: automatically
generated, easy to customize, and validated. Sprox also has powerful tools to
help you display your content the way you want to with table and record
viewers. Sprox provides a way to fill your widgets, whether they are forms or
other content with customizable data.


%package -n python2-%{srcname}
Summary:        %{summary}
Requires:       python2-sqlalchemy
Requires:       python2-formencode >= 1.2.2
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Sprox is a widget generation library that has a slightly different take on the
problem of creating custom web content directly from database schemas. Sprox
provides an easy way to create forms for web content which are: automatically
generated, easy to customize, and validated. Sprox also has powerful tools to
help you display your content the way you want to with table and record
viewers. Sprox provides a way to fill your widgets, whether they are forms or
other content with customizable data.


%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:            %{summary}
Requires:           python3-sqlalchemy
Requires:           python3-formencode >= 1.2.2
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Sprox is a widget generation library that has a slightly different take on the
problem of creating custom web content directly from database schemas. Sprox
provides an easy way to create forms for web content which are: automatically
generated, easy to customize, and validated. Sprox also has powerful tools to
help you display your content the way you want to with table and record
viewers. Sprox provides a way to fill your widgets, whether they are forms or
other content with customizable data.
This is a Python 3 version of the Sprox library.
%endif


%prep
%setup -q -n %{srcname}-%{version}


%build
%{__python2} setup.py build

%if 0%{?with_python3}
%py3_build
%endif


%install
%{__python} setup.py install --skip-build --root %{buildroot}
rm -fr %{buildroot}%{python_sitelib}/tests

%if 0%{?with_python3}
%py3_install
rm -fr %{buildroot}%{python3_sitelib}/tests
%endif


%check
# Disable ming tests until it is packaged
rm tests/test_mgormprovider.py
# Tests also fail upstream, ignore result for now
PYTHONPATH=$(pwd) nosetests-%{python2_version} -v || :

%if 0%{?with_python3}
PYTHONPATH=$(pwd) nosetests-%{python3_version} -v
%endif


%files -n python2-%{srcname}
%{python_sitelib}/%{srcname}*
%license license.txt
%doc README.rst CHANGELOG.txt


%if 0%{?with_python3}
%files -n python3-%{srcname}
%{python3_sitelib}/%{srcname}*
%license license.txt
%doc README.rst CHANGELOG.txt
%endif


%changelog
* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.10.2-5
- Rebuilt for Python 3.7

* Wed Feb 28 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.10.2-4
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Feb 20 2017 Iryna Shcherbina <ishcherb@redhat.com> - 0.10.2-1
- Update to 0.10.2
- Provide Python 3 subpackage

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jul 27 2015 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.7-1
- Update to latest version

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 27 2014 Ville Skyttä <ville.skytta@iki.fi> - 0.8.3-3
- Don't ship backup files

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 24 2013 Luke Macken <lmacken@redhat.com> - 0.8.3-1
- Update to 0.8.3 and get the test suite running again

* Mon Apr  8 2013 Luke Macken <lmacken@redhat.com> - 0.8.2-1
- Update to 0.8.2

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 07 2011 Luke Macken <lmacken@redhat.com> - 0.6.11-1
- Update to 0.6.11

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.10-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed May 05 2010 Luke Macken <lmacken@redhat.com> - 0.6.10-1
- Update to 0.6.10

* Mon Aug 03 2009 Luke Macken <lmacken@redhat.com> - 0.6.3-1
- 0.6.3

* Mon Jun 08 2009 Luke Macken <lmacken@redhat.com> - 0.6.1-1
- Update to the latest upstream release

* Mon Jun 01 2009 Luke Macken <lmacken@redhat.com> - 0.5.5-1
- Initial package
